local WaterMill = ...

-- Apply building asset processor
WaterMill:registerAssetProcessor("models/waterMill.fbx", {
	DataType = "BUILDING_ASSET_PROCESSOR"
})

-- Particle system
WaterMill:dofile("flow.lua")

-- Register all squared tower building parts and their properties
WaterMill:dofile("buildings.lua")

-- Register the squared tower monument
WaterMill:register({
	DataType = "MONUMENT",
	Id = "WATER_MILL_MONUMENT",
	Name = "WATER_MILL_SET_NAME",
	Description = "WATER_MILL_SET_DESC",
	BuildingType = "MONUMENT",
        BuildingPartSetList = {
        {
            Name = "PRODUCTION_CORE",
	    BuildingPartList = {
		"WATER_MILL_CORE_FLOUR_PART",
		"WATER_MILL_CORE_TEXTILE_PART",
		"WATER_MILL_CORE_PLANKS_PART"
            }
        },
        { 
            Name = "WHEEL",
	    BuildingPartList = {
		"WATER_MILL_EXTENSION_LEFT_BANK_PART",
		"WATER_MILL_EXTENSION_RIGHT_BANK_PART"
	    }
        }
        }, 
	RequiredPartList = {
		-- Necessarily a list of 'MONUMENT_REQUIRED_PART_PAIR', no need to specify the DataType of each element of the list
		{ Category = "CORE", Quantity = 1 },
		{ Category = "EXTENSION", Quantity = 1 }
--,
--		{ Category = "DOOR", Quantity = 1 }
	},
        IsEditable = true
})